ghc-lib-parser-ex-9.12.0.0: Programming with GHC parse trees

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhclibParserEx.GHC.Hs.Dump

Synopsis

- showAstData :: Data a => BlankSrcSpan -> BlankEpAnnotations -> a -> SDoc
- data BlankSrcSpan
  - = BlankSrcSpan
  - | BlankSrcSpanFile
  - | NoBlankSrcSpan
- data BlankEpAnnotations
  - = BlankEpAnnotations
  - | NoBlankEpAnnotations

# Documentation

showAstData :: Data a => BlankSrcSpan -> BlankEpAnnotations -> a -> SDoc Source #

Show a GHC syntax tree. This parameterised because it is also used for comparing ASTs in ppr roundtripping tests, where the SrcSpan's are blanked out, to avoid comparing locations, only structure

data BlankSrcSpan Source #

Should source spans be removed from output.

Constructors

BlankSrcSpan |
BlankSrcSpanFile |
NoBlankSrcSpan |

#### Instances

Instances details

Show BlankSrcSpan |
Instance details Defined in GHC.Hs.Dump Methods showsPrec :: Int -> BlankSrcSpan -> ShowS Source # show :: BlankSrcSpan -> String Source # showList :: [BlankSrcSpan] -> ShowS Source #
Eq BlankSrcSpan |
Instance details Defined in GHC.Hs.Dump Methods (==) :: BlankSrcSpan -> BlankSrcSpan -> Bool Source # (/=) :: BlankSrcSpan -> BlankSrcSpan -> Bool Source #

data BlankEpAnnotations Source #

Should EpAnnotations be removed from output.

Constructors

BlankEpAnnotations |
NoBlankEpAnnotations |

#### Instances

Instances details

Show BlankEpAnnotations |
Instance details Defined in GHC.Hs.Dump Methods showsPrec :: Int -> BlankEpAnnotations -> ShowS Source # show :: BlankEpAnnotations -> String Source # showList :: [BlankEpAnnotations] -> ShowS Source #
Eq BlankEpAnnotations |
Instance details Defined in GHC.Hs.Dump Methods (==) :: BlankEpAnnotations -> BlankEpAnnotations -> Bool Source # (/=) :: BlankEpAnnotations -> BlankEpAnnotations -> Bool Source #